# 使用情境

WasmEdge 是由 CNCF 託管的雲端原生 WebAssembly runtime ，廣泛應用在邊緣運算、汽車、 Jamstack 、 Serverless 、 SaaS 、 服務網格，甚至是區塊鏈應用程式。 WasmEdge 可以進行 AOT （預先編譯）編譯器最佳化，是目前市場上最快的 WebAssembly runtime 之一。

## 目錄

* [雲端原生 runtime](use/runtime.md)
  * Dapr
  * Kubernetes
* [JavaScript 或 DSL runtime](use/js.md)
  * JavaScript
  * 用於影像辨識的 DSL
  * 用於聊天機器人的 DSL
* [公開雲端中的 Serverless 函式即服務](use/serverless.md)
  * AWS Lambda
  * 騰訊 Serverless 函式
  * Vercel Serverless 函式
  * Netlify 函式
  * Second State 函式
* [邊緣運算](use/edge.md)
  * YoMo Flow
  * seL4 微型核心 and RTOS
* [用於 SaaS 的互動函式](use/saas.md)
  * Slack
  * 飛書

如果對於 WasmEdge 有任何建議，歡迎提出 [GitHub issue](https://github.com/WasmEdge/WasmEdge/issues) 來討論。
