# 应用场景

WasmEdge 是由 CNCF 托管的云原生 WebAssembly runtime。它广泛应用于边缘计算、汽车、Jamstack、Serverless、SaaS、服务网格，乃至区块链应用。 WasmEdge 可以进行 AOT （提前编译）编译器优化，是当今市场上最快的 WebAssembly runtime 之一。

* [云原生 runtime](use/runtime.md)
  * Dapr
  * Kubernetes
* [JavaScript 或 DSL runtime](use/js.md)
  * JavaScript
  * 用于图像识别的 DSL
  * 用于聊天机器人的 DSL
* [公有云中的 Serverless 函数即服务](use/serverless.md)
  * AWS Lambda
  * 腾讯 Serverless 函数
  * Vercel Serverless 函数
  * Netlify Functions
  * Second State Functions
* [边缘计算](use/edge.md)
  * YoMo Flow
  * seL4 micokernel and RTOS
* [用于 SaaS 的响应式函数](use/saas.md)
  * Slack
  * 飞书

如果关于 WasmEdge 有什么好主意，马上开 [一个 GitHub issue](https://github.com/WasmEdge/WasmEdge/issues) 来一起讨论吧。
